vty-5.38: A simple terminal UI library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.Attributes.Color240

Synopsis

- rgbColorToColor240 :: Integral i => i -> i -> i -> Word8
- color240CodeToRGB :: Word8 -> Maybe (Int, Int, Int)

# Documentation

rgbColorToColor240 :: Integral i => i -> i -> i -> Word8 Source #

Create a value in the Color240 set from an RGB triple. This maps the input arguments to an entry in the 240-color palette depicted at:

https://rich.readthedocs.io/en/stable/appendix/colors.html

color240CodeToRGB :: Word8 -> Maybe (Int, Int, Int) Source #

Create a RGB triple from a value in the Color240 set.